## com.imcode.imcms.db
Class StringFromRowFactory

    java.lang.Object
      com.imcode.imcms.db.StringFromRowFactory

All Implemented Interfaces:
  com.imcode.db.handlers.ObjectFromRowFactory, com.imcode.db.handlers.RowTransformer

    public class StringFromRowFactory

extends java.lang.Object
implements com.imcode.db.handlers.ObjectFromRowFactory

Constructor Summary
`StringFromRowFactory()`
`StringFromRowFactory(int columnIndex)`

Method Summary
`java.lang.Object` `createObjectFromResultSetRow(java.sql.ResultSet resultSet)`
`java.lang.Class` `getClassOfCreatedObjects()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringFromRowFactory

    public StringFromRowFactory()

### StringFromRowFactory

    public StringFromRowFactory(int columnIndex)

Method Detail

### createObjectFromResultSetRow

    public java.lang.Object createObjectFromResultSetRow(java.sql.ResultSet resultSet)
                                                  throws java.sql.SQLException

  Specified by:
    `createObjectFromResultSetRow` in interface `com.imcode.db.handlers.RowTransformer`
  Throws:
    `java.sql.SQLException`

### getClassOfCreatedObjects

    public java.lang.Class getClassOfCreatedObjects()

  Specified by:
    `getClassOfCreatedObjects` in interface `com.imcode.db.handlers.RowTransformer`